using System.Configuration;

namespace ChuPiao.Common.Communication.GtdJson.Configuration
{
    public class GtdpackSettingElement : ConfigurationElement
    {
      
        /// <summary>
        /// 请求地址
        /// </summary>
        [ConfigurationProperty("url", DefaultValue = "", IsRequired = true)]
        public string Url
        {
            get
            {
                return (string)this["url"];
            }
            set
            {
                this["url"] = value;
            }
        }
        /// <summary>
        /// 日志记录器
        /// </summary>
        [ConfigurationProperty("logger", DefaultValue = "", IsRequired = false)]
        public string Logger
        {
            get
            {

                return (string)this["logger"];
            }
            set
            {
                this["logger"] = value;
            }
        }
        /// <summary>
        /// 超时
        /// </summary>
        [ConfigurationProperty("timeout", DefaultValue = 5000, IsRequired = false)]
        public int TimeOut
        {
            get
            {

                return (int)this["timeout"];
            }
            set
            {
                this["timeout"] = value;
            }
        }
       
    }
}
